> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zlb/load-balancer-backend/deregisterbackend.md).

# DeregisterBackend

## 1. API Description

This API (DeregisterBackend) is used to remove one or more backend servers from a load balance listener.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                        | Description                                                                                                                                                                   |
| -------------- | -------- | --------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| loadBalancerId | Yes      | String                                                                      | <p>Load balancer instance ID.</p><p>It can be obtained by calling <a href="/api-reference/zlb/load-balancer-instance/describeloadbalancers.md">DescribeLoadBalancers</a>.</p> |
| listenerId     | Yes      | String                                                                      | <p>Listener ID of the load balancer.</p><p>It can be obtained by calling <a href="/api-reference/zlb/load-balancer-listener/describelisteners.md">DescribeListeners</a>.</p>  |
| backendServers | Yes      | Array of [BackendServer](/api-reference/zlb/datastructure.md#backendserver) | List of backend servers to be removed.                                                                                                                                        |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Remove a backend server from a listener.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeregisterBackend
<Common Request Params>

Request：
{
  "loadBalancerId" : "<loadBalancerId>",
  "listenerId" : "<listenerId>",
  "backendServers" : [
    {
      "instanceId" : "<backendServerId>",
      "privateIpAddress" : "10.0.0.1"
    }
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                        | Description                  |
| ---------------- | --------------------------------- | ---------------------------- |
| 404              | INVALID\_LB\_LISTENER\_NOT\_FOUND | The listener does not exist. |
